#include<stdio.h>
#include<conio.h>
#include<graphics.h>
#include<dos.h>
void main()
{
int gd=DETECT,gm,x,y;
initgraph(&gd,&gm,"C:\\Turboc3\\BGI");
setbkcolor(YELLOW);
putpixel(200,300,BROWN);
{
setcolor(BROWN);
moveto(200,300);
lineto(230,280);
lineto(250,320);
lineto(270,280);
lineto(300,300);
lineto(280,450);
lineto(220,450);
lineto(200,300);
putpixel(250,350,BROWN);
x=250;y=350;
setfillstyle(1,4);
floodfill(x-1,y,BROWN);
floodfill(x+1,y,BROWN);
floodfill(x,y-1,BROWN);
floodfill(x,y+1,BROWN);
}
{
setcolor(GREEN);
moveto(200,250);
arc(200,250,90,270,50);
moveto(250,200);
arc(250,200,0,180,50);
moveto(300,250);
arc(300,250,270,90,50);
moveto(200,300);
lineto(230,280);
lineto(250,320);
lineto(270,280);
lineto(300,300);
putpixel(250,250,GREEN);
x=250;y=250;
setfillstyle(1,2);
floodfill(x-1,y,GREEN);
floodfill(x+1,y,GREEN);
floodfill(x,y-1,GREEN);
floodfill(x,y+1,GREEN);
}

getch();
closegraph();
}